import request from '@/utils/request'

// 查询车辆报文类型列表
export function listMessageType(query) {
  return request({
    url: '/car/messageType/list',
    method: 'get',
    params: query
  })
}

// 查询车辆报文类型详细
export function getMessageType(messageCode) {
  return request({
    url: '/car/messageType/' + messageCode,
    method: 'get'
  })
}

// 新增车辆报文类型
export function addMessageType(data) {
  return request({
    url: '/car/messageType',
    method: 'post',
    data: data
  })
}

// 修改车辆报文类型
export function updateMessageType(data) {
  return request({
    url: '/car/messageType',
    method: 'put',
    data: data
  })
}

// 删除车辆报文类型
export function delMessageType(id) {
  return request({
    url: '/car/messageType/' + id,
    method: 'delete'
  })
}
